﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Saviynt Identity Bot</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Saviynt Identity Bot</h1>
        <p>Identity Bot enables you to integrate Saviynt Identity Governance and Administration (IGA) with applications that do not expose integration APIs. It is a software program that can perform a set of predefined steps to help in the rapid onboarding of such applications for automating the process of integration.</p>
        <h2>Need for Identity Bot</h2>
        <p>While many applications can be integrated with IGA using predefined connectors, there are some applications that pose technical limitations of writing connectors to achieve seamless integration with them. Due to the unavailability of any exposed APIs, human intervention may be the only way to interact with them. In such cases, you can use Identity Bot to mimic human actions such as logging in, performing actions, and logging out of the application. Identity Bot helps to automate the integration and improve the operational efficiency of the organization. Onboarding and management of the following types of applications is supported by Identity Bot:</p>
        <ul>
            <li>
                <p>Web</p>
            </li>
            <li>
                <p>Command Line</p>
            </li>
            <li>
                <p>Desktop</p>
            </li>
        </ul>
        <h2>Supported Features</h2>
        <p>Identity Bot supports the following features:</p>
        <ul>
            <li>
                <p><strong>Train the Bot: </strong>Record a sequence of actions on a web, CLI, or a desktop application in a script to train the Identity Bot.</p>
            </li>
            <li>
                <p><strong>Execute/Playback: </strong>Playback the script any time to validate the recorded steps.</p>
            </li>
            <li>
                <p><strong>Select Variables: </strong>Select IGA variables and save them while recording a web application. Variables and scripts recorded for a connection can be modified and reused for other connections.</p>
            </li>
            <li>
                <p><strong>Create the Connection:</strong> Create the connection automatically in IGA after the recording is completed.</p>
            </li>
            <li>
                <p><strong>Retry Mechanism: </strong>Configure the number of retries to perform in case the script fails to execute.</p>
            </li>
        </ul>
        <h2>Components of Saviynt Identity Bot</h2>
        <p>Identity Bot comprises of the following components:</p>
        <ul>
            <li>
                <p><strong>Identity <span class="inline-comment-marker">Bot Worker Plug-In:</span></strong><span class="inline-comment-marker"> &#160;Records the sequence of user actions to perform a business process like creating an account. This is an add-on to the browser where the user actions are recorded for Web, CLI, and desktop applications.</span>
                </p>
            </li>
            <li>
                <p><strong>Identity Bot Agent:</strong> Resides on an on-premise server and executes the recorded scripts. It reports all the operations performed via the worker plug-in to the Identity Bot Manager. The Bot Agent automatically registers itself with the Bot Manager when it is started for the first time. Multiple Bot Agents can be registered with the same Bot Manager.</p>
            </li>
            <li>
                <p><strong>Identity Bot Manager: </strong>Resides on the IGA cloud server and manages and orchestrates all bot processes, such as storing and managing the generated scripts. It displays the following options on the top-right corner of the Identity Bot page:</p>
            </li>
            <ul style="list-style-type: circle;">
                <li>
                    <p><strong>Jobs:</strong> This option provides the status of the executed jobs along with their start and end timestamps. These jobs internally execute the actions recorded on the applications. Every time a script is executed, a job is created for it. In case a job fails, the history of that provides a description and cause of the error.</p>
                </li>
                <li>
                    <p><strong>Bot Agents:</strong> This option helps you determine the active or inactive status of Identity Bot Agents.</p>
                </li>
                <li>
                    <p><strong>Scripts: </strong>This option provides details of recorded business flows for Web and CLI applications.</p>
                    <p>
                        <img src="../Resources/Images/Identity Bot.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 550px;" />
                        <br />
                    </p>
                </li>
            </ul>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p>Currently, recording of CLI and desktop applications is only supported. Also, you can record these applications only on supported Windows platforms with Chrome browsers. </p>
        </div>
        <h2>How Does Identity Bot Work?</h2>
        <p>The following figure illustrates the architecture of Identity Bot:<br /><img src="../Resources/Images/Identity-Bot-Architecture.png" style="width: 1200px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
        <p>Identity Bot includes a Bot Manager, Bot Agent, and Bot Worker. The Identity Bot Worker is installed as a plug-in in the Chrome browser. The Bot Worker resides within the Bot Agent on an on-premise server and records the operations performed for applications. The Bot Agent saves the actions in a recording as a script and sends the script to the Bot Manager residing in the IGA cloud server. Basic authentication is configured between IGA and the Bot Agent as part of bot configuration. </p>
        <p>When the business flow is executed, the Identity Bot Manager completes the tasks after the script executes completely. In case of a failure, an error code accompanied by an error message is reported. This information can be used to prevent the same error when you execute the script the next time.</p>
        <h2>Prerequisites</h2>
        <h3>System Requirements</h3>
        <p>The following system requirements apply to the Identity Bot Agent and the Identity Bot Recorder that will be installed on an on-premise server:</p>
        <ul>
            <li>
                <p>Windows Server: Windows Server 2016 and later</p>
            </li>
            <li>
                <p>Memory: Minimum requirement is16 GB RAM (video recording is disabled) and 32 GB RAM (video recording is enabled)</p>
            </li>
            <li>
                <p>Processor (CPU): 4-Core</p>
            </li>
            <li>
                <p>Free Disk Space: Minimum requirement is 250 GB (video recording is disabled), and 500 GB (video recording is enabled)</p>
            </li>
        </ul>
        <h3>Installing Sahi Pro and Sahi Pro Desktop Add-on for Desktop Recording</h3>
        <p>You must install the Sahi pro and Sahi pro desktop add-ons on the same server where the Bot Agent is installed. These add-ons are required to use the desktop recording feature of Identity Bot. </p>
        <p>Perform the following steps to install Sahi pro and Sahi pro desktop:</p>
        <ol>
            <li>
                <p>Download Sahi pro and Sahi pro desktop add-on from&#160;<a href="https://sahipro.com/downloads-archive/" class="external-link" rel="nofollow">https://sahipro.com/downloads-archive/</a>.</p>
            </li>
            <li>
                <p>Install Sahi pro, then install the Sahi pro desktop.</p>
            </li>
            <li>
                <p>Launch Sahi pro using the Sahi pro icon on your desktop and enter the product key when prompted.</p>
            </li>
            <li>
                <p>Stop Sahi pro after it is activated.</p>
            </li>
            <li>
                <p>Extract <strong>sahi_pro.zip</strong> from the <strong>IdentityBotAgent.zip</strong> file to any location. <MadCap:xref href="#Installi">Installing the Identity Bot Agent</MadCap:xref> for downloading the <strong>IdentityBotAgent.zip</strong>. file.</p>
            </li>
            <li>
                <p>Copy all the files available in the extracted&#160;folder (sahi_pro) to the corresponding folders with the same name in the Sahi pro install directory.</p>
            </li>
            <li>
                <p>Update the Sahi pro install location in<strong>&#160;sahi.root.dir</strong> in the Bot Agent's <strong>application.properties</strong> file.</p>
            </li>
        </ol>
        <h2>Installing Saviynt Identity Bot</h2>
        <p>Perform the following high-level steps to install Identity Bot:</p>
        <ul>
            <li>
                <p>Install the Bot Manager war file in the IGA cloud environment.</p>
            </li>
            <li>
                <p>Install the Bot Agent and the Bot Worker on an on-premise server where an administrator can train the bot.</p>
            </li>
        </ul>
        <h3>Installing the Identity Bot Manager</h3>
        <ol>
            <li>
                <p>Create a user with the username <strong>ibotuser </strong>in IGA. </p>
            </li>
            <li>
                <p>Create a Freshdesk ticket to request the installation of Identity Bot Manager in the cloud, and provide the password of<strong> ibotuser</strong> in the details.</p>
            </li>
            <li>
                <p>Saviynt will install the Bot Manager for you.</p>
            </li>
        </ol>
        <h3><a name="Installi"></a>Installing the Identity Bot Agent</h3>
        <ol>
            <li>
                <p>Download and extract the <strong>IdentityBotAgent</strong> archive from this <a href="https://drive.google.com/file/d/1wb26LlJ-KBj9rT1syJdXOEyxls6Gi8la/view" class="external-link" rel="nofollow">location</a>. </p>
            </li>
            <li>
                <p>Install the <strong>Saviynt Identity Bot Agent Setup_v1.2.4</strong> file from the extracted directory.</p>
            </li>
            <li>
                <p>Create a folder for storing the scripts that are generated after the scripts are recorded by the Bot Agent. For example, C:\Scripts.</p>
            </li>
            <li>
                <p>Copy the <strong>SendSignal</strong> file from the extracted directory to any folder. For example, C:\Scripts.</p>
            </li>
            <li>
                <p>Change the configuration of the Bot Agent in the <strong>application.properties</strong> file from the Bot Agent installation folder: </p>
            </li>
            <ol style="list-style-type: lower-alpha;">
                <li>
                    <p>Update the path of the folder created in Step 3 in the <strong>scripts </strong>directory.</p>
                </li>
                <li>
                    <p>Update the path of the <strong>SendSignal</strong> file (see Step 4) in the <strong>sendSignal.root </strong>directory.</p>
                </li>
            </ol>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p>Currently, only Google Chrome browser is supported.</p>
        </div>
        <h3>Installing the Identity Bot Recorder</h3>
        <ol>
            <li>
                <p MadCap:conditions="Link.Mobile,Link.PrintOnly,Link.ScreenOnly,Link.Tablet,Link.Web">Download and extract the Identity Bot Recorder archive. To download the archive, see the <strong>Identity Bot Recorder</strong> line item on the <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Saviynt-Enterprise-Identity-Cloud-Artifacts.htm" pubname="EIC-Artifacts" class="peer">EIC Artifacts</a></MadCap:conditionalText> page.</p>
            </li>
            <li>
                <p>Extract the <strong>Identity Bot Recorder.zip</strong> file to any location.</p>
            </li>
            <li>
                <p>Add the Identity Bot Recorder as an extension to the Chrome browser.</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Launch the Chrome browser.</p>
                    </li>
                    <li>
                        <p>Click the&#160;<strong>Chrome</strong>&#160;menu icon.</p>
                    </li>
                    <li>
                        <p>Select <strong>Extensions</strong> from the <strong>Tools</strong> menu. </p>
                    </li>
                    <li>
                        <p>Verify that the <strong>Developer mode</strong> located in the top right-hand corner is selected. </p>
                    </li>
                    <li>
                        <p>Reload the Chrome extensions.</p>
                        <ol style="list-style-type: lower-roman;">
                            <li>
                                <p>Select <strong>Load unpacked.</strong></p>
                            </li>
                            <li>
                                <p>Select <strong>Identity Bot Recorder</strong> from the extracted archive. </p>
                            </li>
                        </ol>
                    </li>
                </ol>
            </li>
        </ol>
        <h2>Configuring Saviynt Identity Bot</h2>
        <p>Post-installation of the Identity Bot Agent, you can configure the following parameters in the <label class="param-value">&lt;Agent install location&gt;\application.properties</label> file:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 263.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 495.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">cobot.server.url</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">URL for the Identity Bot Manager.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">cobot.agent.id</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Unique name for the Identity Bot Agent instance.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">server.port</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Local port to be used by the Identity Bot Agent.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">scripts.dir</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Directory location where Identity Bot Agent will store the scripts</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">cobot.server.heartbeat.interval</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Duration to send heartbeat to Identity Bot (milliseconds)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">video.record</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify if you want to enable or disable the video recording</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">sahi.root.dir</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Installation directory for Sahi pro.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">
                                <label class="param-value">sendSignal.root.dir</label>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Directory where <label class="param-value">sendsignal.exe</label>  is copied.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Managing the Identity Bot</h2>
        <p>You can start the identity bot agent by launching the <label class="param-value">agent_start.bat</label> file located at <br /><label class="param-value">C:\ProgramData\Microsoft\Windows\Start Menu\Programs\StartUp\agent_start.bat</label>.<br />You can stop the identity bot agent by launching the <label class="param-value">StopAgent.bat</label> file located at <br /><label class="param-value">&lt;Identity Bot Agent Install Location&gt;\StopAgent.bat</label>.</p>
        <h2>Training the Identity Bot</h2>
        <p>Training an Identity Bot involves recording a sequence of actions on applications. You can record actions on the web, CLI, and desktop applications. </p>
        <p>After recording the script, export it to the Bot Manager to view or modify it. If you make changes to the script, ensure that those changes do not cause any errors. To verify this, use the <strong>Compile</strong> button for web applications and the <strong>Save</strong> button for CLI and desktop applications in the Saviynt Identity Bot page.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When you export a recorded script, Identity Bot creates a REST connection object with the same name that you provided for <strong>Application Name</strong> (Step 2). The required connection parameters and other values (JSONs) are pre-populated for the connection. However, you can update them with the available binding variables. You can create security system and endpoint objects and map the created connection object with the Security System. </p>
        </div>
        <p>To train the Identity Bot, click the <strong>Identity Bot Worker Plugin</strong> in your browser. The <strong>Welcome to the Saviynt Identity Bot Recorder </strong>pop-up window is displayed.<br /><img src="../Resources/Images/Saviynt-Identity-Bot-Recorder.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 700px;height: 300px;" /></p>
        <h3>Recording Actions in a Web Application</h3>
        <p>Perform the following steps to record actions in a web application:</p>
        <ol>
            <li>
                <p>Click <strong>Connect to a Web Application</strong>.<br /><img src="../Resources/Images/Connect-to-Web-Application.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>In the Saviynt Identity Bot Recorder page:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Enter the name of the application in <strong>Application Name</strong>.</p>
                    </li>
                    <li>
                        <p>Select the operation for which you want to record the script from <strong>Type.</strong></p>
                    </li>
                    <li>
                        <p>Click <strong>Submit</strong>.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Click the <strong>Recording</strong> icon located at the top-right corner of the browser.<br /><img src="../Resources/Images/Recording.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>Provide a valid base URL for your application and click <strong>Start Recording</strong> to start recording the steps.<br /><img src="../Resources/Images/Start-Recording.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 700px;height: 300px;" /></p>
            </li>
            <li>
                <p>Perform the operation that you want to record. You can define the IGA variable for your input. For example, press <strong>Tab</strong> after entering the user name to define the IGA variable for it.<br /><img src="../Resources/Images/Record-Operation.png" style="width: 400px;height: 700px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>Click <strong>Save</strong> to save the changes.</p>
            </li>
            <li>
                <p>Click <strong>Stop Recording</strong> after you have finished recording the actions.<br /><img src="../Resources/Images/Stop-Recording.png" style="width: 0;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /><br />The performed actions are stored as a script that can be played or edited later.</p>
            </li>
            <li>
                <p>Click the recorded script, then click <strong>Export </strong>to export the script to the Bot Manager.<br /><img src="../Resources/Images/Exporting-Identity-Bot.png" style="width: 1200px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>Navigate to <strong>Identity Bot</strong> and click <strong>Scripts</strong> to view the exported script.<br /><img src="../Resources/Images/Scripts-1.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <h3>Recording Commands in a CLI Application</h3>
        <p>Perform the following steps to record commands in a CLI application:</p>
        <ol>
            <li>
                <p>Click <strong>Connect to an Application CLI</strong>. <br /><img src="../Resources/Images/Connect-to-Application-CLI.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>In the Saviynt Identity Bot Recorder page:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Enter the command line path in <strong>CLI Path</strong>.</p>
                    </li>
                    <li>
                        <p>Enter the name of the application in <strong>Application Name</strong>. </p>
                    </li>
                    <li>
                        <p>Select the operation for which you want to record the script from <strong>Type.</strong></p>
                    </li>
                    <li>
                        <p>Click <strong>Submit</strong>. </p>
                    </li>
                </ol>
            </li>
            <li>
                <p>Click the recording icon located at the top-right corner of the browser to start the recording. The Command Prompt application is launched.</p>
            </li>
            <li>
                <p>Execute the commands that you want to record. </p>
            </li>
            <li>
                <p>Click <strong>Stop Recording</strong> after you have finished recording the commands. The recorded commands are stored as a script that can be played or edited later.</p>
            </li>
            <li>
                <p>Click the recorded script and click <strong>Export </strong>to export the script to the Bot Manager.</p>
            </li>
            <li>
                <p>Navigate to <strong>Identity Bot</strong> and click <strong>Scripts</strong> to view the exported script. </p>
            </li>
            <li>
                <p>Add parameters for the CLI scripts whose values you want to pass from IGA, and click <strong>Save</strong>.<br /><img src="../Resources/Images/CLI-Scripts-Save.png" style="width: 1200px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
        </ol>
        <h3>Recording Actions in a Desktop Application</h3>
        <p>Perform the following steps to record actions in a desktop application:</p>
        <ol>
            <li>
                <p>Click <strong>Connect to a Desktop Application</strong>.</p>
                <p>
                    <img src="../Resources/Images/Connect-to-Desktop-Application.png" style="width: 0;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                    <br />
                </p>
            </li>
            <li>
                <p>In the Saviynt Identity Bot Recorder page:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Enter the complete path of the application in <strong>Application Path</strong>.</p>
                    </li>
                    <li>
                        <p>Enter the name of the application in <strong>Application Name</strong>. </p>
                    </li>
                    <li>
                        <p>Select the operation for which you want to record the script from <strong>Type</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Submit</strong>.</p>
                    </li>
                </ol>
                <p>The Saviynt Identity Bot Controller pop-up window and the desktop application are launched.</p>
            </li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Click the recording icon located at the top-right corner of the Saviynt Identity Bot Controller pop-up window to start the recording.<br /><img src="../Resources/Images/start-the-recording.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
            </li>
            <li>
                <p>Execute the actions that you want to record.</p>
            </li>
            <li>
                <p>Exit the application. </p>
            </li>
            <li>
                <p>Navigate to <strong>Identity Bot Controller</strong> and click <strong>Stop Recording</strong> after you have finished recording the actions. The recorded actions are stored as a script that can be played or edited as needed.</p>
                <p>
                    <img src="../Resources/Images/Stop-Recording-1.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Click the <strong>Blue</strong> icon to export the script to the Bot Manager. </p>
            </li>
            <li>
                <p>Navigate to <strong>Identity Bot</strong> and click <strong>Scripts</strong> to view the exported script. Modify the script if needed and click <strong>Save</strong> to save the changes.<br /><img src="../Resources/Images/Scripts-2.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 1200px;height: 500px;" /></p>
            </li>
        </ol>
        <h2>Best Practices</h2>
        <p>Use the following guidelines for an optimum experience of working with Identity Bot:</p>
        <ul>
            <li>
                <p>Perform all the required tasks to complete an operation while recording the actions on an application.</p>
            </li>
            <li>
                <p>Ensure that all the web application sessions[mr1]&#160; are logged out prior to recording actions on a web application. In case of an active session, you might not be able to view the Login page for the web application.</p>
            </li>
            <li>
                <p>Always press the <strong>Tab</strong> key after entering text while recording actions on a web application to prevent missing the entered values.</p>
            </li>
            <li>
                <p>Remove the saved application login passwords (if any) from the browser so that you can enter the credentials manually.</p>
            </li>
            <li>
                <p>Do not perform any unnecessary clicks.</p>
            </li>
            <li>
                <p>Refrain from running other desktop applications in the Bot Agent server while recording or playing the recording.</p>
            </li>
        </ul>
    </body>
</html>